%define module_name Ufal-UDPipe
# BEGIN SourceDeps(oneline):
BuildRequires: gcc-c++ perl(ExtUtils/CBuilder.pm) perl(Module/Build.pm) perl(Test/More.pm)
# END SourceDeps(oneline)
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 1.3.1.1
Release: alt2
Summary: Bindings to UDPipe library
Group: Development/Perl
License: see LICENSE
URL: http://ufal.mff.cuni.cz/udpipe

Source0: http://mirror.yandex.ru/mirrors/cpan/authors/id/S/ST/STRAKA/%{module_name}-v%{version}.tar.gz

%description
Ufal-UDPipe

Ufal-UDPipe package is a Perl bindings for UDPipe library
http://ufal.mff.cuni.cz/udpipe.

In order to compile the package, compiler supporting C++11 is required,
either g++ 4.7 or newer, clang++ 3.2 or newer, or Visual C++ 2015.

INSTALLATION

To install this module, run the following commands:

_perl Build.PL

%prep
%setup -q -n %{module_name}-v%{version}

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc LICENSE Changes README examples
%perl_vendor_archlib/U*
%perl_vendor_autolib/*

%changelog
* Wed Nov 29 2023 Igor Vlasenko <viy@altlinux.org> 1.3.1.1-alt2
- rebuild with perl 5.38

* Wed Nov 22 2023 Igor Vlasenko <viy@altlinux.org> 1.3.1.1-alt1
- updated by package builder

* Sat Feb 18 2023 Igor Vlasenko <viy@altlinux.org> 1.3.0.1-alt1
- updated by package builder

* Wed Jun 16 2021 Igor Vlasenko <viy@altlinux.org> 1.2.0.1-alt4
- rebuild with perl 5.34.0

* Thu Oct 01 2020 Igor Vlasenko <viy@altlinux.ru> 1.2.0.1-alt3.1
- rebuild with perl 5.30

* Fri Feb 01 2019 Cronbuild Service <cronbuild@altlinux.org> 1.2.0.1-alt2.1
- rebuild with perl 5.28.1

* Mon Dec 18 2017 Igor Vlasenko <viy@altlinux.ru> 1.2.0.1-alt2
- rebuild with perl 5.26

* Wed Oct 25 2017 Igor Vlasenko <viy@altlinux.ru> 1.2.0.1-alt1
- regenerated from template by package builder

* Sun Feb 12 2017 Cronbuild Service <cronbuild@altlinux.org> 1.0.0.1-alt2
- rebuild to get rid of unmets

* Sun Jun 05 2016 Igor Vlasenko <viy@altlinux.ru> 1.0.0.1-alt1
- initial import by package builder

